' -------------------------------------------------------------------------
'       From the book Inside Active Directory, ISBN 0-201-61621-1
'       Copyright (C) 2002 by Addison-Wesley
'       Script by Sakari Kouti (see http://www.kouti.com)
' You have a royalty-free right to use, modify, reproduce and distribute
' this script (and/or any modified version) in any way you find useful,
' provided that you agree that Addison-Wesley or Sakari Kouti has no
' warranty, obligations or liability for the script. If you modify
' the script, you must retain this copyright notice.
' -------------------------------------------------------------------------
Option Explicit

Dim objSystemInfo, strTree

Set objSystemInfo = CreateObject("ADSystemInfo")

WScript.Echo "Username: " & objSystemInfo.UserName
WScript.Echo "Computername: " & objSystemInfo.ComputerName
WScript.Echo "Sitename: " & objSystemInfo.SiteName
WScript.Echo "Domain NetBIOS name: " & _
	objSystemInfo.DomainShortName
WScript.Echo "Domain DNS name: " & objSystemInfo.DomainDNSName
WScript.Echo "Forest DNS name: " & objSystemInfo.ForestDNSName
WScript.Echo "PDC Master: " & objSystemInfo.PDCRoleOwner
WScript.Echo "Schema Master: " & objSystemInfo.SchemaRoleOwner
WScript.Echo "Native Mode: " & objSystemInfo.IsNativeMode
WScript.Echo "DC name: " & objSystemInfo.GetAnyDCName
'WScript.Echo "DC site name: " & objSystemInfo.GetDCSiteName 
For Each strTree In objSystemInfo.GetTrees
	WScript.Echo "Tree: " & strTree
Next
